package com.fzm.mall.server.admin.finance_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/5/10 16:26
 * @description 用户资产类别
 * @since JDK 1.8
 */
public enum UserAssetsTypeEnum {
    PAY_COIN(0),//支付币
    GOODS_COIN(1);//商品币

    private Integer type;

    UserAssetsTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(UserAssetsTypeEnum.values())
                .map(UserAssetsTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
